trafficserver-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From zw...@apache.org
Subject [trafficserver] branch master updated: Fixes some cache-tests, and make check should fail
Date Thu, 13 Dec 2018 05:19:27 GMT
This is an automated email from the ASF dual-hosted git repository.

zwoop pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/trafficserver.git


The following commit(s) were added to refs/heads/master by this push:
     new a95301b  Fixes some cache-tests, and make check should fail
a95301b is described below

commit a95301b390dd34f3bc35e588a3c90633c349f6c1
Author: Leif Hedstrom <zwoop@apache.org>
AuthorDate: Tue Dec 11 10:47:38 2018 -0700

    Fixes some cache-tests, and make check should fail
---
 ci/jenkins/bin/build.sh       | 2 +-
 ci/jenkins/bin/cache-tests.sh | 8 ++++++--
 ci/jenkins/bin/environment.sh | 1 +
 ci/jenkins/bin/regression.sh  | 3 ++-
 4 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/ci/jenkins/bin/build.sh b/ci/jenkins/bin/build.sh
index a1e52fc..9a9fd35 100755
--- a/ci/jenkins/bin/build.sh
+++ b/ci/jenkins/bin/build.sh
@@ -48,4 +48,4 @@ set -x
     ${WERROR} \
     ${DEBUG}
 
-${ATS_MAKE} ${ATS_MAKE_FLAGS} V=1 Q=
+${ATS_MAKE} ${ATS_MAKE_FLAGS} V=1 Q= || exit 1
diff --git a/ci/jenkins/bin/cache-tests.sh b/ci/jenkins/bin/cache-tests.sh
index f285b99..9fece11 100755
--- a/ci/jenkins/bin/cache-tests.sh
+++ b/ci/jenkins/bin/cache-tests.sh
@@ -28,8 +28,12 @@ cd "${WORKSPACE}/${BUILD_NUMBER}/build"
     --enable-debug \
     --enable-ccache
 
-${ATS_MAKE} ${ATS_MAKE_FLAGS} V=1 Q=
-${ATS_MAKE} install
+# Not great, but these can fail on the "docs' builds for older versions, sigh
+${ATS_MAKE} -i ${ATS_MAKE_FLAGS} V=1 Q=
+${ATS_MAKE} -i install
+
+[ -x ${PREFIX}/bin/traffic_server ] || exit 1
+
 
 # Setup and start ATS with the required remap rule
 echo "map http://127.0.0.1:8080 http://192.168.3.13:8000" >> ${PREFIX}/etc/trafficserver/remap.config
diff --git a/ci/jenkins/bin/environment.sh b/ci/jenkins/bin/environment.sh
index 2790694..e76cf55 100755
--- a/ci/jenkins/bin/environment.sh
+++ b/ci/jenkins/bin/environment.sh
@@ -42,6 +42,7 @@ export TODAY=$(/bin/date +'%m%d%Y')
 ATS_BRANCH=master
 ATS_IS_7="yes"
 
+test "${JOB_NAME#*-5.3.x}" != "${JOB_NAME}" && ATS_BRANCH=5.3.x && ATS_IS_7="no"
 test "${JOB_NAME#*-6.2.x}" != "${JOB_NAME}" && ATS_BRANCH=6.2.x && ATS_IS_7="no"
 test "${JOB_NAME#*-7.1.x}" != "${JOB_NAME}" && ATS_BRANCH=7.1.x
 test "${JOB_NAME#*-8.0.x}" != "${JOB_NAME}" && ATS_BRANCH=8.0.x
diff --git a/ci/jenkins/bin/regression.sh b/ci/jenkins/bin/regression.sh
index c217256..62c1f32 100755
--- a/ci/jenkins/bin/regression.sh
+++ b/ci/jenkins/bin/regression.sh
@@ -19,6 +19,7 @@
 cd "${WORKSPACE}/${BUILD_NUMBER}/build"
 [ -d BUILDS ] && cd BUILDS
 
-${ATS_MAKE} check VERBOSE=Y V=1 && ${ATS_MAKE} install
+${ATS_MAKE} check VERBOSE=Y V=1 || exit 1
 
+${ATS_MAKE} install || exit
 "${WORKSPACE}/${BUILD_NUMBER}/install/bin/traffic_server" -k -K -R 1


Mime
View raw message